# Copyright (C) 2024 Michael Becker  <alcexhim@gmail.com>
# 
# This file is part of mocha-python.
# 
# mocha-python is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# mocha-python is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with mocha-python.  If not, see <https://www.gnu.org/licenses/>.

from .McxInstance import McxInstance

class McxAttribute:

	def __init__(self, source_instance : McxInstance, attribute_instance : McxInstance, value : any):

		self._source_instance = source_instance
		self._attribute_instance = attribute_instance
		self._value = value

	def get_source_instance(self) -> McxInstance:
		return self._source_instance
	def get_attribute_instance(self) -> McxInstance:
		return self._attribute_instance
	def get_value(self):
		return self._value